package com.ruoyi.project.shiftmgr.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.shiftmgr.mapper.TShiftAnnualAssHisMapper;
import com.ruoyi.project.shiftmgr.domain.TShiftAnnualAssHis;
import com.ruoyi.project.shiftmgr.service.ITShiftAnnualAssHisService;

/**
 * 年度考核打分记录Service业务层处理
 *
 * @author ruoyi
 * @date 2022-08-05
 */
@Service
public class TShiftAnnualAssHisServiceImpl implements ITShiftAnnualAssHisService
{
    @Autowired
    private TShiftAnnualAssHisMapper tShiftAnnualAssHisMapper;

    /**
     * 查询年度考核打分记录
     *
     * @param id 年度考核打分记录ID
     * @return 年度考核打分记录
     */
    @Override
    public TShiftAnnualAssHis selectTShiftAnnualAssHisById(Long id)
    {
        return tShiftAnnualAssHisMapper.selectTShiftAnnualAssHisById(id);
    }

    /**
     * 查询年度考核打分记录列表
     *
     * @param tShiftAnnualAssHis 年度考核打分记录
     * @return 年度考核打分记录
     */
    @Override
    public List<TShiftAnnualAssHis> selectTShiftAnnualAssHisList(TShiftAnnualAssHis tShiftAnnualAssHis)
    {
        return tShiftAnnualAssHisMapper.selectTShiftAnnualAssHisList(tShiftAnnualAssHis);
    }

    /**
     * 新增年度考核打分记录
     *
     * @param tShiftAnnualAssHis 年度考核打分记录
     * @return 结果
     */
    @Override
    public int insertTShiftAnnualAssHis(TShiftAnnualAssHis tShiftAnnualAssHis)
    {
        return tShiftAnnualAssHisMapper.insertTShiftAnnualAssHis(tShiftAnnualAssHis);
    }

    /**
     * 修改年度考核打分记录
     *
     * @param tShiftAnnualAssHis 年度考核打分记录
     * @return 结果
     */
    @Override
    public int updateTShiftAnnualAssHis(TShiftAnnualAssHis tShiftAnnualAssHis)
    {
        return tShiftAnnualAssHisMapper.updateTShiftAnnualAssHis(tShiftAnnualAssHis);
    }

    /**
     * 批量删除年度考核打分记录
     *
     * @param ids 需要删除的年度考核打分记录ID
     * @return 结果
     */
    @Override
    public int deleteTShiftAnnualAssHisByIds(Long[] ids)
    {
        return tShiftAnnualAssHisMapper.deleteTShiftAnnualAssHisByIds(ids);
    }

    /**
     * 删除年度考核打分记录信息
     *
     * @param id 年度考核打分记录ID
     * @return 结果
     */
    @Override
    public int deleteTShiftAnnualAssHisById(Long id)
    {
        return tShiftAnnualAssHisMapper.deleteTShiftAnnualAssHisById(id);
    }
}
